## Index

### Functions

- bindUrlParameter

## Functions

### bindUrlParameter

- bindUrlParameter(vm: AtomViewModel, name: string, urlParameter: string): IDisposable

- - Defined in view-model/bindUrlParameter.ts:13

  Binds property of View Model to URL Parameter, it can read query string as well, however it will only persist value in hash

  #### Parameters

  - ##### vm: AtomViewModel

    View Model

  - ##### name: string

    property name of View Model

  - ##### urlParameter: string

    url parameter name

  #### Returns IDisposable

Generated using TypeDoc